Sortie de WordPress 2.3.1 ! Ainsi que son pack français !

Sortie de WordPress 2.3.1 ! Ainsi que son pack français !

Au programme de cette mise à jour:

  • Compatibilité avec Windows Live Writer améliorée. (Gestion des tags par exemple)
  • Correction d’un problème de cookie lors de la connexion à WordPress
  • Optimisation des requêtes liées aux tags.
  • Les intersections (et/ou) de tags fonctionnent maintenant correctement. (par exemple http://monblog.fr/tag1+tag2 ou http://monblog.fr/tag1,tag2)
    • Un article détaillé expliquant cette fonctionnalité sera prochainement publié sur ce blog.
  • Diverses corrections touchant l’envoi d’emails, les importateurs, etc.

Pour les développeurs, le diff est accessible sur le trac de WordPress.

La traduction française a subi 2-3 modifications, encore une fois, merci aux personnes nous remontant les erreurs et coquilles dans la traduction.

 

Le pack français se trouve comme d’habitude sur la page de téléchargements.

Vu qu’il y a peu de modifications, j’ai également fait un zip contenant uniquement les fichiers modifiés.

Bonne mise à jour !

44 commentaires

  1. Amaury auteur de l’article

    Autre précision, à partir de maintenant, les fichiers de langues, se trouveront dans le dossier wp-content/languages et non plus wp-includes/languages.

    Les 2 dossiers fonctionnent, mais il est mieux d’utiliser wp-content 🙂 (il est d’ailleurs lu en premier)

  2. tchouf

    Cette erreur (HTTP 500 Erreur interne au serveur) signifie que le site Web que vous visitez a rencontré un problème de serveur qui a empêché l’affichage de la page Web.

    Pour plus d’informations sur les erreurs HTTP, consultez l’aide.

  3. Dominique

    Moi je ne reçois plus de mail d’alerte lorsqu’il y a un nouveau commentaire sur le blog.
    Quelqu’un à une idée?

  4. Jean-Luc

    Pour ceux qui ont utilisé le zip des fichiers modifiés :
    Le répertoire « languages » a migré vers wp-content.
    L’ancienne version dans wp-includes peut donc être effacée.

    J-L

  5. racoon97

    Il y a quelque chose que je ne comprends pas : toutes versions supérieures à WordPress 2.2 (ici nous avons la 2.3.1) est sensé, d’après le site officiel US, inclure les Widgets. Or dans cette version francisée cela ne semble pas l’être. Aucun plugins basé sur les widgets ne fonctionnent. Est-ce normal ?

  6. adlinfo

    J’avais lu sur un site bien enb français que les modifs étaient trop importantes pour faire que la mise à jour de la version…
    Comme je suis nul, j’ai trouvé ça :

    /dev/null
    14.
    echo 5. removing unneeded files and directory
    15.
    rm -f ../latest.tar.gz

    Modify line 3 to reflect your blog URL and here you go. The script downloads the latest build, unpacks it, overwrite your files and keeps file attributes, update your blog with the often forgotten /wp-admin/upgrade.php step, and removes temporary files. Literally takes seconds to upgrade.

    Newbie how-to:

    1. Go to the wordpress root, where wp-config.php sits
    2. Using your favorite editor (pico ?) create a new file named updatewp
    3. Paste the code in the newly created file, save, exit
    4. chmod +x updatewp
    5. To upgrade WordPress: just type ./updatewp in the root dir

    16.
    echo 6. all done ! »

    ça peut servire ?

  7. adlinfo

    sorry… je peux pas reprendre le code de mon post…

    WordPress Upgrade Script

    CODE:

    1. #!/bin/bash
    2. CURDIR=$(pwd)
    3. SITE= »http://yoursite.com/blog »
    4. echo Updating WordPress in $CURDIR
    5. echo 1. downloading latest build
    6. wget -q http://wordpress.org/latest.tar.gz
    7. echo 2. unpacking latest build
    8. tar zxf latest.tar.gz
    9. cd wordpress/
    10. echo 3. replacing old files with fresh ones
    11. tar cf – . | (cd $CURDIR; tar xf -)
    12. echo 4. updating your blog
    13. wget -q -O – ${SITE}/wp-admin/upgrade.php?step=1> /dev/null
    14. echo 5. removing unneeded files and directory
    15. rm -f ../latest.tar.gz

    j’espère que ça passe correct !

  8. secmast

    Coquille dans les fichiers:

    wp-admin/edit-comments.php:71
    wp-admin/moderation.php:95 <<<— Il manque un point a la fin du pluriel comparé au fichier edit-comment et au fichier fr_FR.po

  9. Mat_

    Amaury, pas de soucis, ce n’était pas un message dans le sens ou tu ne vas pas assez vite 😉 Bien au contraire !!!
    C’est juste qu’on n’a pas parlé de la sortie de la nouvelle release de Mu, alors qu’on (je?) l’attendait bien!!!
    Moi je reste en anglais pour le moment… Avec BBpress j’ai eu un soucis en utilisant les fichiers langue alors bon, je prefere éviter ce probleme pour le moment.

    Super boulot en tout cas !!! Vraiment !!

  10. Pierre

    Bonjour tout le monde,

    où est-ce que l’on peut trouver l’archive des fichiers de maj des fichiers WP de la version 2.2.3 vers 2.3 SVP.

    D’avance merci.

  11. Patrick

    Bonjour,
    comment se fait-il qu’en installant ce pack « francisé », les dates (y compris l’archivage automatique), horaires, etc. restent en anglais?
    merci

  12. Bedou

    Posté aussi sur le site de Xavier Borderie

    Attention à ne pas passer trop vite à la version supérieure!
    Par avance je remercie tous ceux qui font ce travail de traduction. Mais j’aimerais attirer l’attention sur ce que je viens de remarquer…
    Depuis la version 2.3 le gestionnaire wordpress nous signale qu’il y a une nouvelle version (la 2.3.1 en l’occurence) et nous incite à la télécharger
    “Votre version est dépassée”
    “Une nouvelle version est disponible, veuillez la mettre à jour maintenant”

    Je l’ai fait pour une de mes sites et pas pour l’autre….
    Je remarque que la traduction est incomplète et qu’il reste des mots et des fenêtres complètes qui demeurent en anglais… Ce peut être gênant et rebutant pour certains utilisateurs…

    Je confirme donc que la version 2.3 est parfaitement francisée à tous les niveaux et utilisable en particuliers par des enfants/élèves alors que la 2.3.1 a des “imperfections” de langage: module de gestion d’hyper lien par exemple ou module de téléchargement de fichiers ou gestions des pages et des articles (des mots restent en anglais sur les modules de recherche ou les boutons)

    Je ne sais pas si ma remarque peut être utile et si elle est postée au bon endroit…
    Cordialement
    Christophe

    ps: Bien évidemment si je dois télécharger à nouveau une version 2.3.1 mieux fancisée, merci de m’en informer

  13. Benoît

    Bedou > Que sont donc ses affirmations sans fondements que tu diffuses ?

    Ayant installé la version FR à peine quelques minutes après sa sortie officielle, je n’ai rien constaté de tel. Le problème doit donc venir de ta propre installation.

  14. bedou

    J’ai laissé mon adresse mèl si on veut me contacter je préciserai comment j’ai fait l’install, à quels endroits (différents) et je pourrai envoyer des copies d’écran, voir même donner les codes d’accès FTP pour que les personnes intéressées puissent comprendre comment un individu « basique » qui a suivi strictement les recommandations (il aurait peut être pas dû) http://codex.wordpress.org/fr:Mettre_a_Jour_WordPress#.23Comment_Mettre_.C3.A0_Jour_en_5_Etapes

    peut se retrouver justement à proférer des affirmations sans fondements…
    En tout cas ça existe dans mon cas et si c’est dû à une mauvaise install de ma part autant essayer de l’identifier, non?

  15. ben

    Bonjour, je voulais savoir si les plug-in listés ci-dessous fonctionnent encore avec la nouvelle version de WordPress…
    * Akismet
    * Chunk Urls for WordPress
    * Diagnosis
    * Extract Blockquote Info
    * Full Text Feed
    * Get Recent Comments
    * Google XML Sitemaps
    * Maintenance Mode
    * No Self Pings
    * PJW Mime Config
    * Related Posts
    * Search Meter
    * SEO Title Tag
    * Simple Tagging
    * SRG Clean Archives
    * Subscribe To Comments
    * WordPress Reports
    * WP-Ads
    * WP-PostViews
    * WP-Stats
    * WP-Syntax
    * WP Plugins Tracker
    * WP View Subscriber Info

    C’est la seule inquiétude que j’ai car je veux commencer mon blog et j’aurais besoin de savoir si je peux être tranquille quant à la bonne installation de tous ces plug-ins qui me paraissent nécessaires.

Les commentaires sont fermés